Get client
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/clients/{clientUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/clients/{clientUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/clients/{clientUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"displayNoteInProject": true,
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"name": "<string>",
"uid": "<string>"
},
"note": "<string>",
"priceList": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"uid": "<string>"
}Client
Get client
GET
/
api2
/
v1
/
clients
/
{clientUid}
Get client
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the client
Response
OK
Show child attributes
Show child attributes
When true, the client note is shown on projects associated with this client
External identifier from an external system
Internal numeric identifier, encoded as a string
Human-readable name of the client; unique within the organization
Show child attributes
Show child attributes
Client note
Show child attributes
Show child attributes
Unique identifier used in API paths
Was this page helpful?
⌘I